/*
 * @DEC_COPYRIGHT@
 */
/*
 * HISTORY
 * $Log:	wstring.h,v $
 * Revision 4.2  91/09/20  05:19:54  devbld
 * Adding ODE Headers
 * 
 * $EndLog$
 */
/*	
 *	@(#)$RCSfile: wstring.h,v $ $Revision: 4.2 $ (DEC) $Date: 91/09/20 05:19:54 $
 */ 
/*
 */
/*
 * (c) Copyright 1990, OPEN SOFTWARE FOUNDATION, INC.
 * ALL RIGHTS RESERVED
 */
/*
 * OSF/1 Release 1.0
 */

/*
 * COMPONENT_NAME: (LIBCNLS) Standard C Library National Language Support
 *
 * FUNCTIONS: 
 *
 * ORIGINS: 27
 *
 * (C) COPYRIGHT International Business Machines Corp. 1985, 1989
 * All Rights Reserved
 * Licensed Materials - Property of IBM
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

#ifndef _WSTRING_H_
#define _WSTRING_H_

#include <wchar.h>

extern double	 wstrtod(wchar_t *, wchar_t **);
extern double	 watof(wchar_t *);
extern int	 watoi(wchar_t *);
extern long	 watol(wchar_t *);
extern long	 wstrtol(wchar_t *, wchar_t **, int);

#ifdef _KJI
extern wchar_t
	*wstrdup(wchar_t *),
	*wstrcpy(wchar_t *, wchar_t *),
	*wstrncpy(wchar_t *, wchar_t *, int),
	*wstrcat(wchar_t *, wchar_t *),
	*wstrncat(wchar_t *, wchar_t *, int),
	*wstrchr(wchar_t *, int),
	*wstrrchr(wchar_t *, int),
	*wstrpbrk(wchar_t *, wchar_t *),
	*wstrtok(wchar_t *, wchar_t *);

extern size_t
	wstrlen(wchar_t *),
	wstrspn(wchar_t *, wchar_t *),
	wstrcspn(wchar_t *, wchar_t *);

extern int
	wstrcmp(wchar_t *, wchar_t *),
	wstrncmp(wchar_t *, wchar_t *, int);
#endif /* _KJI */

#endif /* _WSTRING_H_ */
